//////////// Ant Parts /////////////
/*
Antena 
Jaws
Eyes
Head
Neck
Thorax
Legs
Waist
Abdomen
*/
#declare AntColor = texture { pigment { rgb < 1.0, 0.6, 0.4 > } finish { phong 1 phong_size 200 } } 

#declare L_AntenaTip =  < -0.1250, 0.50, -0.50 >;
#declare L_AntenaBase = < -0.0625, 0.50, -0.25 >; 
#declare R_AntenaTip =  <  0.1250, 0.50, -0.50 >;
#declare R_AntenaBase = <  0.0625, 0.50, -0.25 >;
#declare NeckTip =      <  0.0000, 0.37, -0.18 >;
#declare NeckBase =     <  0.0000, 0.30, -0.12 >;
#declare WaistTip =     <  0.0000, 0.30,  0.13 >;
#declare WaistBase =    <  0.0000, 0.30,  0.20 >;
#declare Tail =         <  0.0000, 0.20,  0.50 >;
#declare LegBase =      <  0.1000, 0.25,  0.00 >;
#declare LegTip =       <  0.2500, 0.00,  0.00 >;   
 
#declare L_Antena = blob {

                  cylinder { < 0.0, 0.0, 0.5 >, 
                             < 0.2, 0.3, 0.2 >, 0.05, 2
                           }//end cylinder 
                  cylinder { < 0.2, 0.3, 0.2 >, 
                             < 0.2, 0.3,-0.2 >, 0.05, 2
                           }//end cylinder
                  cylinder { < 0.2, 0.3,-0.2 >, 
                             < 0.0, 0.0,-0.6 >, 0.05, 2
                           }//end cylinder                                                        

                             texture { AntColor }
                             VecTran( L_AntenaTip, L_AntenaBase )   
                             
                        }//end blob L_Antena  
                        
#declare R_Antena = blob {

                  cylinder { < 0.0, 0.0, 0.5 >, 
                             <-0.2, 0.3, 0.2 >, 0.0625, 2
                           }//end cylinder 
                  cylinder { <-0.2, 0.3, 0.2 >, 
                             <-0.2, 0.3,-0.2 >, 0.0625, 2
                           }//end cylinder
                  cylinder { <-0.2, 0.3,-0.2 >, 
                             < 0.0, 0.0,-0.6 >, 0.0625, 2
                           }//end cylinder                                                        

                             texture { AntColor }
                             VecTran( R_AntenaTip, R_AntenaBase )   
                             
                        }//end blob R_Antena         
                        
//////////// Head //////////////////
#declare Head = blob {

                  sphere { < 0.0, 0.1, 0.0  >, 0.7, 4 scale < 1.5, 1.5, 1.0 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.5, 0.0  >, 0.5, 4 scale < 1.5, 1.0, 0.8 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.9, 0.0  >, 0.3, 4 scale < 1.5, 1.0, 0.8 > texture { pigment { rgb 0.3 } finish {phong 1 phong_size 5 }}}//end sphere
                  
                  sphere { < 0.0,-0.88, 0.0 >, 0.25, -11 texture { pigment { rgb 0.0 } finish {reflection 0.5 phong 1 phong_size 250 }}}//end sphere 
                                                       

                             VecTran( < 0, R_AntenaBase.y, R_AntenaBase.z >, NeckTip )   
                             
                        }//end blob R_Antena                                             
                        
///////////// Eyes ////////////////
#declare Eyes = union {

                  sphere { < 0.6, 0.0, 0.1  >, 0.25 scale < 1.0, 1.5, 0.9 > }//end sphere
                  sphere { <-0.6, 0.0, 0.1  >, 0.25 scale < 1.0, 1.5, 0.9 > }//end sphere                       
                             texture { pigment { rgb 0 } }
                             finish  { phong 1 phong_size 3 reflection 0.25 }
                             normal  { leopard .1 rotate < 90, 0, 0 > scale 0.01 }
                             VecTran( < 0, R_AntenaBase.y, R_AntenaBase.z >, NeckTip )
                       }//end union Eyes  
                       
///////////// Neck //////////////////////
#declare Neck = 
////////////////  Cylinder  ///////////
cylinder {
		< 0.0, 0.0, 0.6 >,
		< 0.0, 0.0,-0.6 >, 0.25 

                             texture { AntColor }
                             VecTran( NeckTip, NeckBase )
	  }//end Cylinder
	  
/////////////////////////// Thorax ////////////
#declare Thorax = blob {

                  sphere { < 0.0, 0.1, 0.25  >, 0.6, 4 scale < 1.5, 0.8, 0.8 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.1, 0.00  >, 0.5, 4 scale < 1.5, 0.8, 0.8 > texture { AntColor }}//end sphere
                  sphere { < 0.0, 0.0, 0.00  >, 0.5, 4 scale < 1.5, 0.8, 0.8 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.1,-0.45  >, 0.4, 4 scale < 1.5, 0.8, 0.8 > texture { AntColor }}//end sphere 
                                                       

                             VecTran( NeckBase, WaistTip )   
                             
                        }//end blob Thorax                        
                       
///////////// Waist //////////////////////
#declare Waist = 
////////////////  Cylinder  ///////////
cylinder {
		< 0.0, 0.0, 0.6 >,
		< 0.0, 0.0,-0.6 >, 0.25 

                             texture { AntColor }
                             VecTran( WaistTip, WaistBase )
	  }//end Cylinder   
	
////////////////// Abdomen /////////////////////////
#declare Abdomen = blob {

                  sphere { < 0.0, 0.10, 0.65  >, 0.50, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0, 0.07, 0.45  >, 0.45, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0, 0.05, 0.25  >, 0.40, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0, 0.02, 0.12  >, 0.35, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.02, 0.00  >, 0.30, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.05,-0.12  >, 0.25, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.07,-0.25  >, 0.20, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere
                  sphere { < 0.0,-0.10,-0.40  >, 0.15, 4 scale < 1.0, 1.0, 0.6 > texture { AntColor }}//end sphere 
                                                       

                             VecTran( WaistBase, Tail )   
                             
                        }//end blob Thorax   

///////////////////////////////////////////// Leg //////////                        
#declare Leg = blob {

                  cylinder { < 0.0, 0.0, 0.5 >, 
                             < 0.0, 0.3, 0.2 >, 0.090, 2
                           }//end cylinder 
                  cylinder { < 0.0, 0.3, 0.2 >, 
                             < 0.0, 0.3,-0.2 >, 0.060, 2
                           }//end cylinder
                  cylinder { < 0.0, 0.3,-0.2 >, 
                             < 0.0, 0.0,-0.7 >, 0.045, 2
                           }//end cylinder                                                        

                             texture { AntColor }
                             VecTran( LegBase, LegTip )   
                             
                        }//end blob R_Antena                         